<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
	<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
	<TITLE></TITLE>
	<META NAME="GENERATOR" CONTENT="OpenOffice.org 1.1.5  (Linux)">
	<META NAME="CREATED" CONTENT="20070621;11001200">
	<META NAME="CHANGED" CONTENT="20070710;12182800">
</HEAD>
<BODY LANG="en-US" DIR="LTR">
<P STYLE="margin-bottom: 0in"><FONT SIZE=6><B>Enter Grammar</B></FONT></P>
<P STYLE="margin-bottom: 0in"><BR>
</P>
<H2 STYLE="margin-top: 0in; margin-bottom: 0in">Contents</H2>
<P STYLE="margin-bottom: 0in"><U><A HREF="#definition">Introduction</A><BR></U><A HREF="#how to"><U>How
to Enter a Grammar</U></A></P>
<H2 STYLE="margin-top: 0in; margin-bottom: 0in"><BR>
</H2>
<H2 STYLE="margin-top: 0in; margin-bottom: 0in">Introduction</H2>
<P STYLE="margin-bottom: 0in">JFLAP allows one to enter in and parse
both context-free grammars and unrestricted grammars.</P>
<P STYLE="margin-bottom: 0in"><BR>
</P>
<H2 STYLE="margin-top: 0in; margin-bottom: 0in"><A NAME="how to"></A>How
to Enter a Grammar</H2>
<P><A NAME="language1"></A>We will begin by entering a context-free
grammar. To start a new grammar, start JFLAP and click the <B>Grammar</B>
option from the menu, as shown below:</P>
<P ALIGN=CENTER><IMG SRC="images/grammar.png" NAME="Graphic19" ALIGN=MIDDLE WIDTH=233 HEIGHT=321 BORDER=0></P>
<P ALIGN=LEFT>You should be able to see a grammar window that looks
like the screen below. You can enter your start variable and its
production on the first row. The variable should be entered on the
leftmost column and the right side of the production on the rightmost
column. The middle column is going to be an arrow indicating the
production. You can enter the grammar as shown below. (Or you could
load the file <A HREF="contextfreeGrammar.jff">contextfreeGrammar.jff</A>)
</P>
<P ALIGN=LEFT><B>*NOTE </B>: Do not enter blanks in the grammar.</P>
<P ALIGN=LEFT>When you are finished, your grammar editor window
should look like this.</P>
<P STYLE="margin-bottom: 0in"><BR>
</P>
<P ALIGN=CENTER STYLE="margin-bottom: 0in"><IMG SRC="images/grammar_window.png" NAME="Graphic2" ALIGN=MIDDLE WIDTH=600 HEIGHT=484 BORDER=0></P>
<P ALIGN=LEFT STYLE="margin-bottom: 0in"><BR>
</P>
<P ALIGN=LEFT STYLE="margin-bottom: 0in">This grammar represents the
language a<SUP>n</SUP>b<SUP>m</SUP>c<SUP>p</SUP> where m=n+p, n&gt;0,
p&gt;0.</P>
<P ALIGN=LEFT STYLE="margin-bottom: 0in">Congratulations, you have
just entered your first grammar in JFLAP.</P>
<P ALIGN=LEFT STYLE="margin-bottom: 0in"><BR>
</P>
<P ALIGN=LEFT STYLE="margin-bottom: 0in"><B>This concludes our brief
tutorial on Enter Grammar. Thanks for reading!</B></P>
</BODY>
</HTML>